# MLP Price

* Buy price: `mlpManager.getPrice(true)`
* Sell price: `mlpManager.getPrice(false)`

Since there might be a spread for token pricing, passing in `true` into the `getPrice` function returns the maximum price at that point in time, while passing in false returns the minimum price.

For the calculation of pending PnL for shorts the `mlpManager.shortsTracker.globalShortAveragePrices` value should be used instead of `vault.globalShortAveragePrices`.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.minerva.money/tokenomics/mlp/mlp-price.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
